package com.caimei365.manager.entity.wechat;

import lombok.Data;

import java.util.List;

/**
 * 微信公众号菜单
 *
 * @author : Charles
 * @date : 2022/1/5
 */
@Data
public class WechatMenu {
    private static final long serialVersionUID = 1L;
    /**
     * Id
     */
    private Integer id;
    /**
     * 父级菜单Id
     */
    private Integer parentId;
    /**
     * 所有父级编号
     */
    private String parentIds;
    /**
     * 菜单标题
     */
    private String name;
    /**
     * 父级菜单标题
     */
    private String parentName;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 菜单的响应动作类型
     */
    private String type;
    /**
     * 菜单KEY值，用于消息接口推送(click等点击类型必须)
     */
    private String key;
    /**
     * 网页链接，用户点击菜单可打开链接(view类型必须)
     */
    private String url;
    /**
     * 调用新增永久素材接口返回的合法media_id(media_id类型和view_limited类型必须)
     */
    private String mediaId;
    /**
     * 小程序appID
     */
    private String appid;
    /**
     * 小程序页面路径
     */
    private String pagePath;
    /**
     * 微信公众号类型
     */
    private String wxType;
    /**
     * 操作人用户Id
     */
    private Integer userId;
    /**
     * 子菜单列表
     */
    List<WechatMenu> children;
}
